de.caff.generics

## Class DoubleIndexable.Base

- java.lang.Object
- - de.caff.generics.DoubleIndexable.Base

- All Implemented Interfaces:
    DoubleIndexable, PrimitiveDoubleIterable, Sizeable, java.lang.Comparable<DoubleIndexable>, java.lang.Iterable<java.lang.Double>
  Direct Known Subclasses:
    MutableDoubleIndexable.Base
  Enclosing interface:
    DoubleIndexable

      public abstract static class DoubleIndexable.Base
      extends java.lang.Object
      implements DoubleIndexable, java.lang.Comparable<DoubleIndexable>

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`. It also provides `Comparable.compareTo(Object)`.
  See Also:
    `DoubleIndexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.DoubleIndexable

      `DoubleIndexable.Base, DoubleIndexable.DoubleIndexableSpliterator`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.DoubleIndexable

      `EMPTY, SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveDoubleIterable

      `EMPTY_DOUBLE_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DoubleIndexable.Base` | `asBase()` Make this double indexable usable as a base class with defined standard Object methods.
    `int` | `compareTo(DoubleIndexable o)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.DoubleIndexable

      `addAllTo, addToArray, addToArray, asCollection, asIndexable, asList, binarySearch, binarySearch, compare, deltas, doubleIterator, doubleIterator, doubleSpliterator, emptyIndexable, equal, equal, equal, equalStandard, firstMatch, firstValue, foldLeft, frozen, frozenDoubleSpliterator, get, getMod, gyt, hash, headSet, indexes, init, initByIndex, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, lastMatch, lastValue, listIterator, nextMatch, ordered, ordered, previousMatch, reverse, rotated, singleton, subSet, sybSet, tailSet, toArray, toList, toString, transformed, view, viewArray, viewArray, viewArray, viewArray, viewAsBoolean, viewAsByte, viewAsFloat, viewAsInt, viewAsInt, viewAsLong, viewAsLong, viewAsShort, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveDoubleIterable

      `average, containsDouble, containsDouble, forEachDouble, forEachDoubleFragile, spliterator, stream, sum`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### compareTo

          public int compareTo(@NotNull
                               DoubleIndexable o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DoubleIndexable>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### asBase

          @NotNull
          public DoubleIndexable.Base asBase()

      Description copied from interface: `DoubleIndexable`
      Make this double indexable usable as a base class with defined standard Object methods.
      Specified by:
        `asBase` in interface `DoubleIndexable`
      Returns:
        based version of this indexable